package com.steering.pss.qcm.model;

/**
 * 数据库表COM_BASE_SPEC_ORDER所对应的实体类（生成工具：代码生成器1.0）
 * @author Administrator 2015-02-04
 */
public class ComBaseSpecOrderEntity {
    /**
     * 订货规格代码(用于合同、质保书、标牌、标识)
     */
    private String orderSpecCode;
    /**
     * 订货规格描述(用于合同、质保书、标牌、标识)
     */
    private String orderSpecDesc;
    /**
     * 产品规格代码
     */
    private String specCode;
    /**
     * 产品规格描述
     */
    private String specName;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;

    public ComBaseSpecOrderEntity(){
        orderSpecCode = "";
        orderSpecDesc = "";
        specCode = "";
        specName = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        validflag = "";
        memo = "";
    }

    /**
     * 订货规格代码(用于合同、质保书、标牌、标识)
     * @return value
     */
    public String getOrderSpecCode() {
        return orderSpecCode;
    }

    /**
     * 订货规格代码(用于合同、质保书、标牌、标识)
     * @param orderSpecCode value
     */
    public void setOrderSpecCode(String orderSpecCode) {
        this.orderSpecCode = orderSpecCode;
    }

    /**
     * 订货规格描述(用于合同、质保书、标牌、标识)
     * @return value
     */
    public String getOrderSpecDesc() {
        return orderSpecDesc;
    }

    /**
     * 订货规格描述(用于合同、质保书、标牌、标识)
     * @param orderSpecDesc value
     */
    public void setOrderSpecDesc(String orderSpecDesc) {
        this.orderSpecDesc = orderSpecDesc;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}
